<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.pedigreeonline.com
 * @since      1.0.0
 *
 * @package    Pedigree_Online
 * @subpackage Pedigree_Online/admin/partials
 */
?>

<div class="wrap">

  <h1>Pedigree Online Embedded Report Plugin Settings</h1>

  <div class="pedigreeonline-notices">
  <?php settings_errors(); ?>
  </div>

  <p>To embed a pedigree, first make sure your animal is listed on our website at <a href="https://www.pedigreeonline.com/">PedigreeOnline.com</a>.
     Next, bring up the pedigree of the animal on your browser, select and COPY the web address for the pedigree web page.</p>
  <p>Use the following shortcode inside your page or post where you would like the report to show up:</p>
  <p><code>[pedigree_online url="(paste the URL to the Pedigree or Saved Hypomating)"]</code></p>
  <p>There are also a some optional attributes you can specify within the shortcode:</p>
  <p><strong>report="xxxx"</strong> - Choose which report to display. Choices include: <i>pedigree, offspring</i>. Default is: <i>pedigree</i></p>
  <p><strong>gens="x"</strong> - Specify how many generations to go back, if the report supports it. Options are <i>2 through 9</i>. Default is: <i>3</i></p>
  <p><em>Note: Some reports and options are restricted to users with <u>Premium Accounts</u>. More information is available at <a href="https://www.pedigreeonline.com/wordpress">PedigreeOnline.com/wordpress</a></em>.


  <hr noshade />

  <h2>Clear Cached Report Data</h2>

  <button id="pedigreeonline-clear-cache" class="button-primary" data-ajax-url="<?php echo admin_url('admin-ajax.php') ?>">Clear Cache Now</button>

  <p>Report data is remembered for up to an hour to save resources and speed up your website.
  Clearing the cache will remove the saved data and force a fresh call to PedigreeOnline.com for the report.</p>

  <hr noshade />

  <form action="options.php" method="post">

      <?php

      do_settings_sections( $this->page_slug );

      settings_fields( $this->page_slug );

      submit_button();

      ?>

  </form>

  <p>v.<?php echo Pedigree_Online::VERSION ?> - For more information visit <a href="https://www.pedigreeonline.com/wordpress">PedigreeOnline.com/wordpress</a></p>

</div>

